﻿@model IEnumerable<Competition_Manager.Competitor>

@{
    ViewData["Title"] = "Competitor";
}

<h1>Competitor</h1>

<p>
    <a asp-action="CreateCompetitor">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Age)
            </th>
            <th>
                Team
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Age)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Team.Name)
            </td>
            <td>
                <a asp-action="Competitor" asp-route-id="@item.ID">Edit</a>
                <a asp-action="DeleteCompetitor" asp-route-id="@item.ID">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
